[Seaside] OmniBase is FREE but has problems on UNIX Squeak

Julian Fitzell julian at beta4.com
Mon Aug 22 21:37:14 CEST 2005

I used the stock 3.8 VM and image...

Avi told me the truncate primitive was now fixed in the stock vm, but I 
see I'm running

3.7-7 #1 Sat Mar 19 13:12:20 PST 2005 gcc 3.3.5

so perhaps it was fixed since 3.7.0?


Lukas Renggli wrote:
> Hi Julian,
> just tried your version OmniBase-jf.3 from SqueakSource, however I
> don't manage to run the tests (with the latest OSProcess and
> CommandShell from SM loaded):
> 1. the primitive used in #truncate: fails all the time on my unix vm
> 3.7.0-b5 on os x, it works however if i run it with the tweaked
> 3.6.0-g vm from avi.
> 2. #test8 and #test9 (tests related to the file-locking) fail in a 3.8
> image (OmniBase is taged to be used with Squeak 3.8), however the
> tests pass in a 3.7 image.
> Am I doing something wrong? What VM/Image did you use?
> Thanks for your help,
> Lukas

   Julian Fitzell  --  Beta4 Productions
julian at beta4.com  --  http://www.beta4.com
Seaside: http://seaside.st/

More information about the Seaside mailing list